const heading = document.querySelector('.heading');
const characters = heading.textContent.match(/[\w\W]/g);    //Get the texts and create an array.
heading.textContent = '';    //Empty the contents.
characters.forEach(char => {
  const span = document.createElement('span');
  span.textContent = char;
  heading.appendChild(span);
});

// Create charcter count variable and set timer with new function called setChar().
let char = 0;
let timer = setInterval(setChar, 100);

function setChar(){
  const spanChar = document.querySelectorAll('span')[char];
  spanChar.className = 'fade';
  char++;
  char === characters.length && clearInterval(timer);
}

